@model List<Funcionario>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<h1>Lista de Funcionarios</h1>

<div>
    <form action="/funcionario/search" method="post">
        <div class="form-group" style="margin-bottom: 10px;">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui" />
        </div>
        <div style="margin-bottom: 15px;">
            <input type="submit" class="btn btn-primary" value="Buscar" />
            <input type="reset" class="btn btn-secondary" value="Limpar" onclick="redirect()" />
        </div>
        
    </form>
</div>

<table class="table table-hover">
    @foreach (Funcionario func in Model)
    {
    <tr>
        
        <td>@func.Nome</td>
        <td>@func.Email</td>
        <td>@func.Telefone</td>

        
        <td><a href="/funcionario/details/@funcIdFuncionario" class="btn btn-info">Detalhes</a></td>
        <td><a href="/funcionario/delete/@func.IdFuncionario" class="btn btn-danger">Apagar</a></td>
        <td><a href="/funcionario/update/@func.IdFuncionario" class="btn btn-warning">Editar</a></td>
    </tr>
    } 
</table>

<a href="/funcionario/create" class="btn btn-success">Adicionar</a>

<script>
    function redirect(){
        location.href="/funcionario/index"
    }
</script>